<?php

$jscode[] = <<<EOC

function einheit_callback(data)
{
  var einheit = document.getElementById('edit_einheit');

  if (!einheit) return false;

  if (data.info[0].einheit.length)
    einheit.innerHTML = data.info[0].einheit;
}

function select_material(obj)
{
  get_info('einheit', {id: obj.options[obj.selectedIndex].value}, einheit_callback);
}

EOC;

function fetch_tbody()
{
  $sql = 'SELECT materialien.material,menge,einheiten.einheit FROM materialverbrauch '
    . 'JOIN materialien ON materialverbrauch.material = materialien.id '
    . 'JOIN einheiten ON materialien.einheit = einheiten.id '
    . 'WHERE einsatz = ' . intval($_POST['id']);

  $data = query_db($sql);

  $ret = '';
  foreach ($data as $row)
    $ret .= sprintf('<tr><td>%s</td><td align="right">%.2f %s</td></tr>',
		    $row['material'], $row['menge'], $row['einheit']);

  return $ret;
}

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Materialverbrauch zu Arbeitsberichten',
	      'join' => array('kostenstellen ON einsatz.kostenstelle = kostenstellen.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'einsatz.id',
					    'visible' => false,
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'width' => 230,
					    'sql' => 'kostenstellen.kostenstelle',
					    ),
			      'material' => array(
					    'name' => 'Material',
					    'width' => 70,
					    'control' => "new Rico.TableColumn.checkbox('t','f','0',true)",
					    'sql' => '(SELECT count(*) > 0 FROM materialverbrauch WHERE einsatz = einsatz.id)',
					    'specs' => "ClassName: 'aligncenter', canSort: false",
					    ),
			      ),
	      'rows' => 20,
	      'details' => array(
				 'html' => '<table id="materialverbrauch_table" cellspacing="0" style="margin-top: -13px;" border="0" width="100%">'.
				 '<thead>'.
				 '<tr bgcolor="#ffd76d"><th>Material</th><th>Menge</th></tr>'.
				 '</thead>'.
				 '<tbody id="detail_materialverbrauch_tbody"></tbody>'.
				 '</table>',
				 'list' => array(
						 'materialverbrauch_tbody' => array(
										    'fetch' => fetch_tbody,
										    ),
						 ),
				 ),
	      'edit_title' => 'Materialverbrauch vermerken',
	      'edit_table' => 'materialverbrauch',
	      'edit' => array(
			      'einsatz' => array(
					    'name' => 'Einsatz',
					    'type' => 'hidden',
					    'size' => 10,
					    'sql' => 'id',
					    ),
			      'material' => array(
					    'name' => 'Material',
					    'type' => 'select',
					    'options' => 'SELECT id,material AS text FROM materialien ORDER BY text',
					    'onchange' => 'select_material(this)',
					    'sql' => false,
					    ),
			      'menge' => array(
					    'name' => 'Menge',
					    'type' => 'decimal',
					    'size' => 10,
					    'comment' => ' <span id="edit_einheit"></span>',
					    'sql' => false,
					    'required' => true,
					    ),
			      ),
	      'buttons' => array(
				 'save' => false,
				 'delete' => false,
				 ),
	      'info' => array(
			      'einheit' => array(
					    'sql' => 'SELECT einheiten.einheit FROM einheiten ' .
						     'JOIN materialien ON materialien.einheit = einheiten.id ' .
						     'WHERE materialien.id = {id}',
					    ),
				   ),
	      );

?>
